/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.impl;

import net.northking.cctp.dw.db.dao.BugGradeStatisticsDao;
import net.northking.cctp.dw.db.entity.SynBugInfo;
import net.northking.cctp.dw.db.service.BugGradeStatisticsService;
import net.northking.cctp.dw.db.entity.BugGradeStatistics;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;

import net.northking.cctp.dw.dto.BugGradeStatisticsDetailDto;
import net.northking.cctp.dw.dto.ChartDataGeneQueryDto;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 缺陷严重程度统计图
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-15 14:58:27  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "BugGradeStatisticsServiceImpl")
public class BugGradeStatisticsServiceImpl extends PaginationService<BugGradeStatistics> implements BugGradeStatisticsService
{
private static final Logger logger = LoggerFactory.getLogger(BugGradeStatisticsServiceImpl.class);

  private final BugGradeStatisticsDao bugGradeStatisticsDao;

  public BugGradeStatisticsServiceImpl(BugGradeStatisticsDao bugGradeStatisticsDao) {this.bugGradeStatisticsDao = bugGradeStatisticsDao;}

  public BasicDao<BugGradeStatistics> getDao() {return bugGradeStatisticsDao;}

  public BugGradeStatistics createEntity() { return new BugGradeStatistics();}

  @Override
  protected void beforeInsert(BugGradeStatistics bugGradeStatistics) {

  }

  @Override
  protected void beforeUpdate(BugGradeStatistics bugGradeStatistics) {

  }

  @Override
  public List<BugGradeStatisticsDetailDto> listQuery(ChartDataGeneQueryDto chartDataGeneQueryDto) {
    return bugGradeStatisticsDao.listQuery(chartDataGeneQueryDto);
  }

  @Override
  public void insertBatch(List<SynBugInfo> dataList,String tenantId) {
    bugGradeStatisticsDao.insertBatch(dataList,tenantId);
  }

  @Override
  public void deleteData(List<SynBugInfo> dataList,String tenantId) {
    bugGradeStatisticsDao.deleteData(dataList,tenantId);
  }


// ----      The End by Generator     ----//




}

